PAPI_destroy_eventset(3)

NAME
PAPI_destroy_eventset - Empty and destroy an EventSet.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
     int PAPI_destroy_eventset( int * EventSet );

PAPI_destroy_eventset deallocates the memory associated with an empty PAPI EventSet.

Parameters
    *EventSet A pointer to the integer handle for a PAPI event set as created by PAPI_create_eventset. The value pointed to by EventSet is then set to PAPI_NULL on success.

Return values
    PAPI_EINVAL One or more of the arguments is invalid. Attempting to destroy a non-empty event set or passing in a null pointer to be destroyed.
    PAPI_ENOEVST The EventSet specified does not exist.
    PAPI_EISRUN The EventSet is currently counting events.
    PAPI_EBUG Internal error, send mail to ptools-perfapi@icl.utk.edu and complain.

Examples:

    // Free all memory and data structures, EventSet must be empty.
    if ( PAPI_destroy_eventset( &EventSet ) != PAPI_OK )
    handle_error( 1 );

See also
    PAPI_profil
     PAPI_create_eventset
     PAPI_add_event
     PAPI_stop

Author

Generated automatically by Doxygen for PAPI from the source code.